<?php
 

 namespace DIPI\Modules\Divider;
 
if ( ! defined( 'ABSPATH' ) ) {
    die( 'Direct access forbidden.' );
}

use ET\Builder\Framework\DependencyManagement\Interfaces\DependencyInterface;
use ET\Builder\Packages\ModuleLibrary\ModuleRegistration;
use DIPI\Modules\Divider\DividerTraits;
 
 
class Divider implements DependencyInterface {
  public function load() {
    $module_json_folder_path = plugin_dir_path(__FILE__) . 'visual-builder';
    wp_enqueue_script('dipi_divider_public');
    add_action(
      'init',
      function() use ( $module_json_folder_path ) {
        ModuleRegistration::register_module(
          $module_json_folder_path,
          [
            'render_callback' => [ DividerTraits\RenderCallbackTrait::class, 'render_callback' ],
          ]
        );
      }
    );
  }
}